apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: defaults-0.0.0-36a50822
  namespace: asag
spec:
  clusters:
    - name: '*'
      nodes:
        labels:
          ops.aep.asag.io/maintenance: "false"
      provides:
        - flags:
            - from: setting
              key: v1_dns_alt_names
              setting: dns_alt_names
              to: annotation
          name: '*'
          servicespec:
            selector:
              ops.aep.asag.io/maintenance: "false"
          settings:
            - from:
                - user
              name: dns_alt_names
              schema:
                description: Subject Alternative Names for host certificates
                items:
                  format: hostname
                  type: string
                type: array
      topologyqueries:
        - format: array
          groupby:
            - v1_role
          name: members
          scope: instance
  flags:
    - from: env
      key: v1_puppetmaster
      to: annotation
    - from: setting
      key: v1_environment
      setting: environment
      to: annotation
    - from: env
      key: v1_datacenter
      to: label
    - from: env
      key: v1_customer_env
      to: annotation
    - from: env
      key: v1_level
      to: label
  includes:
    - name: lxc
      vendor: asag
      version: 0.4.0
  limits:
    cpu: "2"
    ram: 2Gi
    rootfs: 10Gi
  name: defaults
  onlyinclude: true
  podspec:
    containers:
      - image: aep/aos/jammy/puppet6/aep
        imagePullPolicy: Always
        name: '*'
        readinessProbe:
          exec:
            command:
              - /usr/local/bin/pod_ready.sh
          failureThreshold: 3
          initialDelaySeconds: 30
          periodSeconds: 10
          successThreshold: 2
          timeoutSeconds: 10
        securityContext:
          privileged: false
        volumeMounts:
          - mountPath: /var/lib/aep/podinfo
            name: aep-podinfo
    volumes:
      - downwardAPI:
          items:
            - fieldRef:
                fieldPath: metadata.labels
              path: labels
            - fieldRef:
                fieldPath: metadata.annotations
              path: annotations
            - fieldRef:
                fieldPath: metadata.name
              path: name
            - fieldRef:
                fieldPath: metadata.namespace
              path: namespace
        name: aep-podinfo
  settings:
    - from:
        - env
        - user
      name: environment
      required: true
      schema:
        description: the puppet environment
        type: string
  version: 0.0.0-36a50822
